Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.jobmanager.config
Interface TimerJobDefinitionBean

All Superinterfaces
  JobDefinition

All Known Implementing Classes:
  TimerJobDefinition

    public interface TimerJobDefinitionBean

extends JobDefinition

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.p13n.jobmanager.JobDefinition
`JobDefinition.JOB_TYPE`

Method Summary
`JobListenerBean` | `createJobListener(String name)`
`JobParamBean` | `createJobParam(String name)`
`void` | `destroyJobListener(JobListenerBean component)`
`void` | `destroyJobParam(JobParamBean component)`
`String` | `getDescription()` Description of job.
`boolean` | `getEnabled()` Is job enabled to run or not.
`String` | `getGroup()` Optional Group name for job.
`int` | `getInterval()` What is the run interval in minutes.
`String` | `getJobClass()` Fully class name of job.
`JobListenerBean[]` | `getJobListeners()` Listeners to call after job completes
`JobParamBean[]` | `getJobParams()` Parameters to job.
`String` | `getName()` Name of job
`String` | `getNode()` Where does this job run.
`JobListenerBean` | `lookupJobListener(String name)`
`JobParamBean` | `lookupJobParam(String name)`
`void` | `setDescription(String description)`
`void` | `setEnabled(boolean enabled)`
`void` | `setGroup(String group)`
`void` | `setInterval(int startup)`
`void` | `setJobClass(String jobClass)`
`void` | `setName(String name)`
`void` | `setNode(String node)`

Method Detail

### getName

    String getName()

  Name of job

  Specified by:
    `getName` in interface `JobDefinition`
  Descriptor Bean Unique Attribute
  Descriptor Bean Required Attribute
  Descriptor Bean Attribute Value Validation Class
    com.bea.p13n.jobmanager.config.JobManagerDescriptorValidator.validateName

### setName

    void setName(String name)

  Specified by:
    `setName` in interface `JobDefinition`

### getDescription

    String getDescription()

  Description of job. (For Humans)

  Specified by:
    `getDescription` in interface `JobDefinition`
  Descriptor Bean Configurable Attribute
  Descriptor Bean Dynamic Attribute
  Descriptor Bean Attribute Value Validation Class
    com.bea.p13n.jobmanager.config.JobManagerDescriptorValidator.validateDescription

### setDescription

    void setDescription(String description)

  Specified by:
    `setDescription` in interface `JobDefinition`

### getGroup

    String getGroup()

  Optional Group name for job.

  Specified by:
    `getGroup` in interface `JobDefinition`
  Descriptor Bean Configurable Attribute
  Descriptor Bean Dynamic Attribute
  Descriptor Bean Attribute Value Validation Class
    com.bea.p13n.jobmanager.config.JobManagerDescriptorValidator.validateGroup

### setGroup

    void setGroup(String group)

  Specified by:
    `setGroup` in interface `JobDefinition`

### getEnabled

    boolean getEnabled()

  Is job enabled to run or not.

  Specified by:
    `getEnabled` in interface `JobDefinition`
  Descriptor Bean Configurable Attribute
  Descriptor Bean Attribute Default Value:
    true
  Descriptor Bean Dynamic Attribute

### setEnabled

    void setEnabled(boolean enabled)

  Specified by:
    `setEnabled` in interface `JobDefinition`

### getJobClass

    String getJobClass()

  Fully class name of job.

  Specified by:
    `getJobClass` in interface `JobDefinition`
  Descriptor Bean Configurable Attribute
  Descriptor Bean Dynamic Attribute
  Descriptor Bean Attribute Value Validation Class
    com.bea.p13n.jobmanager.config.JobManagerDescriptorValidator.validateJobClass

### setJobClass

    void setJobClass(String jobClass)

  Specified by:
    `setJobClass` in interface `JobDefinition`

### getNode

    String getNode()

  Where does this job run. Values are: * - All nodes. No cross cluster syncronization - Specific Server Name in cluster - One node in cluster.

  Specified by:
    `getNode` in interface `JobDefinition`
  Descriptor Bean Configurable Attribute
  Descriptor Bean Attribute Default Value:
    "*"
  Descriptor Bean Dynamic Attribute
  Descriptor Bean Attribute Value Validation Class
    com.bea.p13n.jobmanager.config.JobManagerDescriptorValidator.validateNode

### setNode

    void setNode(String node)

  Specified by:
    `setNode` in interface `JobDefinition`

### getInterval

    int getInterval()

  What is the run interval in minutes.

  Descriptor Bean Configurable Attribute
  Descriptor Bean Dynamic Attribute
  Descriptor Bean Attribute Value Validation Class
    com.bea.p13n.jobmanager.config.JobManagerDescriptorValidator.validateTimerInterval

### setInterval

    void setInterval(int startup)

### getJobParams

    JobParamBean[] getJobParams()

  Parameters to job. This allow for same job class to be used diffrent ways.

  Specified by:
    `getJobParams` in interface `JobDefinition`
  Descriptor Bean Configurable Attribute
  Descriptor Bean Dynamic Attribute

### lookupJobParam

    JobParamBean lookupJobParam(String name)

  Specified by:
    `lookupJobParam` in interface `JobDefinition`

### destroyJobParam

    void destroyJobParam(JobParamBean component)

  Specified by:
    `destroyJobParam` in interface `JobDefinition`

### createJobParam

    JobParamBean createJobParam(String name)

  Specified by:
    `createJobParam` in interface `JobDefinition`

### getJobListeners

    JobListenerBean[] getJobListeners()

  Listeners to call after job completes

  Specified by:
    `getJobListeners` in interface `JobDefinition`
  Descriptor Bean Configurable Attribute
  Descriptor Bean Dynamic Attribute

### lookupJobListener

    JobListenerBean lookupJobListener(String name)

  Specified by:
    `lookupJobListener` in interface `JobDefinition`

### destroyJobListener

    void destroyJobListener(JobListenerBean component)

  Specified by:
    `destroyJobListener` in interface `JobDefinition`

### createJobListener

    JobListenerBean createJobListener(String name)

  Specified by:
    `createJobListener` in interface `JobDefinition`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.